#! /usr/bin/env python
# -*- coding: iso-8859-1 -*-

# This file is part of the SMUML toolset.
# Copyright (C) 2007 Helsinki University of Technology.
#
# The SMUML toolset is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation.
#
# The SMUML toolset is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with the SMUML toolset.  If not, see <http://www.gnu.org/licenses/>.

# errors.py
#
# 2006-11-08  Jori Dubrovin:  Initial version
#

"""Errors in the NuSMV translation."""

import exceptions


class Error(exceptions.Exception):
    """A base class for errors."""
    pass


class InputError(Error):
    """Invalid input model."""
    pass


class NotSupportedError(Error):
    """The input contains an unsupported element."""
    pass
