import actlang.errors

class SimError(Exception):
    def __init__(self, explanation):
        assert type(explanation) is str
        self.explanation = explanation
    def __str__(self):
        return str(self.explanation)

class ActionLanguageError(SimError):
    def __init__(self, original_error, explanation):
        assert isinstance(original_error, actlang.errors.Error)
        assert type(explanation) is str
        self.original_error = original_error
        self.explanation = explanation

