#!/usr/bin/python

"""
Usage: python validate_model.py umlmodel.xmi

A validator that checks whether the given Coral UML 1.4 Model conforms to
the SMUML project UML subset.

Author: Tommi Junttila

Copyright (c) 2007 Helsinki University of Technology
Released under the GNU General Public License version 2
"""

import sys
import coral
import Utils.UML14

if __name__ == '__main__':
    if len(sys.argv) != 2:
        print __doc__
        sys.exit(-1)
    project = coral.loadDocument(sys.argv[1])

    Utils.UML14.validate_project(project)
